For more information on using API

GET http://webapi.mymarketing.co.il/api/whatsappcampaign/profiles

Get all WhatsApp profiles for the account

Request Information

URI Parameters

Body Parameters

None.

Response Information

Resource Description

Collection of ApiWhatsAppProfileResponse

Name

Description

Type

Additional information

id

Profile ID (use as sendingprofileid when sending a campaign)

integer
name

Profile display name

string
phone_number

Sender phone number

string

Response Formats

application/json, text/json

Sample:
[
  {
    "id": 1,
    "name": "sample string 2",
    "phone_number": "sample string 3"
  },
  {
    "id": 1,
    "name": "sample string 2",
    "phone_number": "sample string 3"
  }
]

application/xml, text/xml

Sample:
<ArrayOfApiWhatsAppProfileResponse xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <ApiWhatsAppProfileResponse>
    <Id>1</Id>
    <Name>sample string 2</Name>
    <PhoneNumber>sample string 3</PhoneNumber>
  </ApiWhatsAppProfileResponse>
  <ApiWhatsAppProfileResponse>
    <Id>1</Id>
    <Name>sample string 2</Name>
    <PhoneNumber>sample string 3</PhoneNumber>
  </ApiWhatsAppProfileResponse>
</ArrayOfApiWhatsAppProfileResponse>